@use "../mixins";
@use "../theme";

.page-statistics {

    .time-ranges {
        display: flex;
        justify-content: flex-end;
    }

    .chart {
        display: flex;
        height: 15rem;
        padding: 0;
        position: relative;
        margin-bottom: theme.$spacing04;

        @media only screen and (min-width: theme.$sm) {
            padding: 0 .5rem;
            margin-bottom: 0;
        }

        &--line-chart {
            font-size: theme.$fontSizeSmall;

            .ct-label {
                font-size: theme.$fontSizeSmall;
            }

            .ct-labels {
                foreignObject:nth-child(even) {
                    .ct-label.ct-horizontal {
                        display: none;
                    }
                }

                .ct-label.ct-horizontal {
                    font-size: .7rem;
                    margin-top: theme.$spacing02;
                    width: 32px !important;
                }

            }

            .ct-line,
            .ct-point {
                stroke: theme.$colorWarning;
            }

            .ct-point {
                stroke: darken(theme.$colorWarning, 20%);
            }
        }

        .ct-grid {
            stroke: theme.$colorPaletteGray400;
            stroke-width: .5px;

            &.ct-horizontal {
                display: none;
            }

            &.ct-vertical {
                stroke-dasharray: none;
            }
        }

        .ct-series {

            .ct-bar,
            .ct-line,
            .ct-point {
                stroke: theme.$colorBrand;
            }

            .ct-bar {
                stroke-width: 26px;
            }
        }

        .ct-label {
            font-size: 15px;
            color: theme.$colorText;
        }

        .chartist-tooltip {
            font-size: theme.$fontSizeSmall;
            background-color: theme.$colorBrandSecondary;
            color: white;
            width: 8rem;

            &::before {
                border-top-color: theme.$colorBrandSecondary;
            }

            &.hidden {
                display: none;
            }

            opacity: 1 !important;
        }

        .label {
            font-weight: theme.$fontWeightSemiBold;
            color: theme.$colorText;
        }
    }

    .card-api-design-rules-successes {
        .card__header {
            padding: theme.$spacing04;

            @media only screen and (min-width: theme.$sm) {
                padding: theme.$spacing05;
            }
        }
    }
}
